SEQ(1)

NAME
seq - print sequences of numbers

SYNOPSIS
seq [-w] [-f format] [-s string] [-t string] [first [incr]] last

DESCRIPTION
The seq utility prints a sequence of numbers, one per line (default), from first (default 1), to near last as possible, in increments of incr (default 1). When first is larger than last the default incr is -1.

All numbers are interpreted as floating point.

Normally integer values are printed as decimal integers.

The seq utility accepts the following options:

-f format
    Use a printf(3) style format to print each number. Only the E, e, f, G, g, and % conversion characters are valid, along with any optional flags and an optional numeric minimum field width or precision. The format can contain character escape sequences in backslash notation as defined in ansiC. The default is %g.

-s string
    Use string to separate numbers. The string can contain character escape sequences in backslash notation as defined in ansiC. The default is \n.

-t string
    Use string to terminate sequence of numbers. The string can contain character escape sequences in backslash notation as defined in ansiC. This option is useful when the default separator does not contain a \n.

-w  Equalize the widths of all numbers by padding with zeros as necessary. This option has no effect with the -f option. If any sequence numbers will be printed in exponential notation, the default conversion is changed to %e.

EXIT STATUS

EXAMPLES

    # seq 1 3
    1
    2
    3
    # seq 3 1
    3
    2
    1
    # seq -w 0 .05 .1
    0.00
    0.05
    0.10

SEE ALSO
jot(1), printf(1), printf(3)

HISTORY
The seq command first appeared in Plan 9 from Bell Labs. A seq command appeared in NetBSD 3.0, and ported to FreeBSD 9.0. This command was based on the command of the same name in Plan 9 from Bell Labs and the GNU core utilities. The GNU seq command first appeared in the 1.13 shell utilities release.

BUGS
The -w option does not handle the transition from pure floating point to exponent representation very well. The seq command is not bug for bug compatible with the Plan 9 from Bell Labs or GNU versions of seq.